| GET | /RestApi/ab-testing/tests |
|---|
using System;
using System.Collections;
using System.Collections.Generic;
using System.Runtime.Serialization;
using ServiceStack;
using ServiceStack.DataAnnotations;
using Telerik.Sitefinity.ABTesting.Services.Dto.Request;
using Telerik.Sitefinity.ABTesting.Model;
namespace Telerik.Sitefinity.ABTesting.Model
{
public enum ABTestStatus
{
NotStarted,
Scheduled,
Active,
Stopped,
Ended,
}
}
namespace Telerik.Sitefinity.ABTesting.Services.Dto.Request
{
public partial class GetABTests
: IABTestsFilter
{
public virtual int? Skip { get; set; }
public virtual int? Take { get; set; }
public virtual string OrderExpression { get; set; }
public virtual string SearchText { get; set; }
public virtual ABTestStatus? Status { get; set; }
public virtual bool MyTests { get; set; }
}
}
To override the Content-type in your clients, use the HTTP Accept Header, append the .jsv suffix or ?format=jsv
The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.
GET /RestApi/ab-testing/tests HTTP/1.1 Host: www.asg.com.au Accept: text/jsv
HTTP/1.1 200 OK
Content-Type: text/jsv
Content-Length: length
[
{
Title: String,
Description: String,
StartDate: 0001-01-01,
StopDate: 0001-01-01,
Culture: String,
ReportUrl: String,
LastModified: 0001-01-01,
Status: NotStarted,
Owner: String,
WinnerVariationId: 00000000-0000-0000-0000-000000000000,
SelectedVariationId: 00000000-0000-0000-0000-000000000000,
PageNodeErrorMessage: String,
WarningMessage: String,
ApiKey: String,
UserSegmentId: 00000000-0000-0000-0000-000000000000
}
]